## com.baidubce.services.vod.model
Class InternalCreateMediaRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.vod.model.InternalCreateMediaRequest

    public class InternalCreateMediaRequest

extends AbstractBceRequest

Constructor Summary
`InternalCreateMediaRequest()`

Method Summary
`String` `getDescription()`
`String` `getMediaId()`
`String` `getTitle()`
`void` `setDescription(String description)`
`void` `setMediaId(String mediaId)`
`void` `setTitle(String title)`
`String` `toString()`
`InternalCreateMediaRequest` `withDescription(String description)`
`InternalCreateMediaRequest` `withMediaId(String mediaId)`
`AbstractBceRequest` `withRequestCredentials(BceCredentials credentials)`
`InternalCreateMediaRequest` `withTitle(String title)`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InternalCreateMediaRequest

    public InternalCreateMediaRequest()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getMediaId

    public String getMediaId()

### setMediaId

    public void setMediaId(String mediaId)

### withMediaId

    public InternalCreateMediaRequest withMediaId(String mediaId)

### getTitle

    public String getTitle()

### setTitle

    public void setTitle(String title)

### withTitle

    public InternalCreateMediaRequest withTitle(String title)

### getDescription

    public String getDescription()

### setDescription

    public void setDescription(String description)

### withDescription

    public InternalCreateMediaRequest withDescription(String description)

### withRequestCredentials

    public AbstractBceRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

Copyright © 2016. All rights reserved.